Skip to navigation

Get ProcedureParameterVersion by ID

Beta
Get a single ProcedureParameterVersion by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_parameter_version_idstringRequired
ID of the ProcedureParameterVersion.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
allowedEquipmentModelsmap from strings to any or nullOptional
amountDataTypeobject or nullOptional

Specifies the value type configuration for a procedure parameter. Used within ProcedureParameterVersion to define what kind of data a parameter accepts. The type field indicates the field type (such as text, decimal, entity link, or dropdown). For numeric types, unit optionally references a Unit for measurement context. For entity link types, schema optionally constrains values to entities of a specific EntitySchema. Also used as amountDataType on material input parameter versions to define how amounts are specified.

confirmationMethodenumOptional
Allowed values:
createdAtstringOptional
creatorobjectOptional
dataTypeobjectOptional

Specifies the value type configuration for a procedure parameter. Used within ProcedureParameterVersion to define what kind of data a parameter accepts. The type field indicates the field type (such as text, decimal, entity link, or dropdown). For numeric types, unit optionally references a Unit for measurement context. For entity link types, schema optionally constrains values to entities of a specific EntitySchema. Also used as amountDataType on material input parameter versions to define how amounts are specified.

descriptionstringOptional
idstringOptional
maximummap from strings to any or nullOptional
minimummap from strings to any or nullOptional
namestringOptional
procedureParameterobjectOptional

Errors

400
Procedure Parameter Version Get Request Bad Request Error
403
Procedure Parameter Version Get Request Forbidden Error
404
Procedure Parameter Version Get Request Not Found Error
429
Procedure Parameter Version Get Request Too Many Requests Error
500
Procedure Parameter Version Get Request Internal Server Error